<dom-module id="raphael-dragrect">
  <template>
    <style>
    </style>
    <h2>Rectangle draggable</h2>
    <div id="dragrect"></div>
  </template>

  <script>
    Polymer({

      is: 'raphael-dragrect',
      attached: function () {

        var paper = Raphael("dragrect", "100%", 50);

        var rectangle = paper.rect(
          370, 0, 260, 50, 10
        ).attr (
          {
            fill: "#f00",
            stroke: "#fff",
            opacity: "0.2"
          }
        ).drag (
          function (dx) {
            this.attr({x: this.ox + dx});
          },
          function (x, event) {
            this.ox = this.attr("x");
          }
        );
      }
    });
  </script>
</dom-module>
